NSX-T Data Center REST API

Create or update a BGP troubleshoot config

If BGP troubleshoot config is not present in BGP configuration, create a new BGP
troubleshoot config with default value. If it already exists, update the BGP
troubleshoot config with this object.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/route-controllers/{router-controller-id}/bgp/troubleshoot
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
BgpTroubleshootConfig+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/route-controllers/RC-1/bgp/troubleshoot { "bgp_session_diagnostics": true, "system_diagnostics": true, "bfd_control_pkt_diagnostics": true, "_revision": 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Example Response:

200 OK

Required Permissions:

crud

Feature:

policy_route_controller

Additional Errors: